#!/usr/bin/python3
from selenium import webdriver
from selenium.webdriver.common.by import By

# Pfad zum Chromedriver
chromedriver_path = "/usr/bin/chromedriver"

# Chrome Service initialisieren
service = webdriver.ChromeService(executable_path=chromedriver_path)

# Chrome-Optionen konfigurieren (headless)
chrome_options = webdriver.ChromeOptions()
chrome_options.add_argument('--headless')

# Initialisiere den Chromedriver mit dem Service und den Optionen
driver = webdriver.Chrome(service=service, options=chrome_options)

# Beispiel: Webseite öffnen
driver.get("https://wintersport.harzinfo.de//orte/detail-1/sub/1/skiTrail/1")

# Akzeptiere Cookies, falls eine entsprechende Schaltfläche vorhanden ist (ersetze 'Cookie-Akzeptieren-Button' durch das tatsächliche Element)
try:
    cookie_button = driver.find_element(By.ID, 'CybotCookiebotDialogBodyLevelButtonLevelOptinDeclineAll')
    cookie_button.click()
except Exception as e:
    print(f"Kein Cookie-Akzeptieren-Button gefunden: {e}")

# Warte kurz, um sicherzustellen, dass die Seite die Änderungen nach dem Klicken des Buttons verarbeitet
driver.implicitly_wait(5)

# Beispiel: Inhalt der Seite ausgeben
print(driver.page_source)

# Schließe den WebDriver
driver.quit()
